Subject: Re: [PATCH v11] ls-files: add eol diagnostics

From: Torsten Bögershausen <[email-masked]>
Date: Fri, 15 Jan 2016 05:51:35 +0100

On 01/14/2016 08:34 PM, Junio C Hamano wrote:
(OK with the rest of the comments, thanks)
> +		return "binary";
> It is true and correct that we do not do EOL conversion on text
> files that have a lone CR, but I think it is misleading to tell the
> users that such files are "binary".  We do not refrain from showing
> the textual diff for such files, for example.
>
> To put it another way, we do not do EOL conversion for truly
> 'binary' files, but there are (mostly) text files that are not
> binary that we do not do EOL conversion on.  And you want to tell
> the user if EOL conversion would happen to each file.  It is not
> correct to label "this file is binary" merely because you do not do
> EOL conversion.  Perhaps define a new "literal" class that is a
> superset of "binary" and use that as the label?  I am not suggesting
> that "ls-files --eol" should show "i/binary" for truly binary files
> and "i/literal" for a non-binary file with lone CRs.  For the
> purpose of "--eol", you only care about "literal", so you do not
> even have to have "binary" class at all.
This makes sense, how about "-text" ?